{pkgs, ...}: let
  common = import ../common.nix { inherit pkgs; };
  uberBukkit = pkgs.vanillaServers.vanilla.overrideAttrs (oldAttrs: {
    src = ../uberbukkit.jar;
  });
in {
  services.minecraft-servers.servers.uberbeta = {
    enable = true;
    package = uberBukkit;
    jvmOpts = "-Xmx512M";
    serverProperties = common.serverProperties // {
      difficulty = 3;
      server-port = 30005;
    };
  };
}
